Bug 513682 - system-config-display crash
system-config-display crash
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-24 14:28 EDT by Clodoaldo Pinto Neto
Modified: 2009-11-08 04:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-07 18:04:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clodoaldo Pinto Neto 2009-07-24 14:28:23 EDT
Description of problem:

When running Fedora 11 as a guest in a Virtual Box hosted in Windows XP the system-config-display crashes:

# system-config-display
Traceback (most recent call last):
 File "/usr/share/system-config-display/xconf.py", line 376, in <module>
   dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig,
rhpxl.videocard.VideoCardInfo())
 File "/usr/share/system-config-display/xConfigDialog.py", line 641,
in __init__
   if len(self.xconfig.layout[0].adjacencies) > 1:
IndexError: index out-of-bounds

Version-Release number of selected component (if applicable):

system-config-display.noarch 1.1.3-2.fc11

How reproducible:

Always

Thread in Fedora list:
https://www.redhat.com/archives/fedora-list/2009-July/msg02557.html
Comment 1 Matěj Cepl 2009-11-05 13:35:33 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 2 Clodoaldo Pinto Neto 2009-11-05 14:09:54 EST
The bug persists in F11_64 updated without the updates-testing repository as I can't assume the risk.

The bug does not happen in F12_64.
Comment 3 Matěj Cepl 2009-11-07 18:04:48 EST
Thank you for letting us know.
Comment 4 Clodoaldo Pinto Neto 2009-11-08 04:43:36 EST
By closing this you mean F11 is not supported any more?

Note You need to log in before you can comment on or make changes to this bug.